﻿#pragma warning disable 1591
//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.Linq;
using System.Data.Linq.Mapping;
using System.Linq;
using System.Linq.Expressions;
using System.Reflection;



[global::System.Data.Linq.Mapping.DatabaseAttribute(Name="DMS-R3-PNGAF-PROD")]
public partial class DB_DMS_OTRDataContext : System.Data.Linq.DataContext
{
	
	private static System.Data.Linq.Mapping.MappingSource mappingSource = new AttributeMappingSource();
	
  #region Extensibility Method Definitions
  partial void OnCreated();
  #endregion
	
	public DB_DMS_OTRDataContext() : 
			base(global::System.Configuration.ConfigurationManager.ConnectionStrings["DMS_R3_PNGAF_PRODConnectionString"].ConnectionString, mappingSource)
	{
		OnCreated();
	}
	
	public DB_DMS_OTRDataContext(string connection) : 
			base(connection, mappingSource)
	{
		OnCreated();
	}
	
	public DB_DMS_OTRDataContext(System.Data.IDbConnection connection) : 
			base(connection, mappingSource)
	{
		OnCreated();
	}
	
	public DB_DMS_OTRDataContext(string connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
			base(connection, mappingSource)
	{
		OnCreated();
	}
	
	public DB_DMS_OTRDataContext(System.Data.IDbConnection connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
			base(connection, mappingSource)
	{
		OnCreated();
	}
	
	public System.Data.Linq.Table<v_MobileApp_StatusCode> v_MobileApp_StatusCodes
	{
		get
		{
			return this.GetTable<v_MobileApp_StatusCode>();
		}
	}
	
	[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.MobileApp_ValidateLogin")]
	public ISingleResult<MobileApp_ValidateLoginResult> MobileApp_ValidateLogin([global::System.Data.Linq.Mapping.ParameterAttribute(DbType="VarChar(40)")] string enterpriseid, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="PhoneNo", DbType="VarChar(20)")] string phoneNo, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="IMEI", DbType="VarChar(100)")] string iMEI, [global::System.Data.Linq.Mapping.ParameterAttribute(DbType="VarChar(40)")] string userid, [global::System.Data.Linq.Mapping.ParameterAttribute(DbType="VarChar(100)")] string user_password, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="PasswordIs", DbType="TinyInt")] System.Nullable<byte> passwordIs, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="RawMessage", DbType="VarChar(8000)")] string rawMessage)
	{
		IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())), enterpriseid, phoneNo, iMEI, userid, user_password, passwordIs, rawMessage);
		return ((ISingleResult<MobileApp_ValidateLoginResult>)(result.ReturnValue));
	}
	
	[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.MobileApp_GeneralStatus")]
	public ISingleResult<MobileApp_GeneralStatusResult> MobileApp_GeneralStatus([global::System.Data.Linq.Mapping.ParameterAttribute(DbType="VarChar(40)")] string enterpriseid, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="PhoneNo", DbType="VarChar(20)")] string phoneNo, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="IMEI", DbType="VarChar(100)")] string iMEI, [global::System.Data.Linq.Mapping.ParameterAttribute(DbType="VarChar(40)")] string userid, [global::System.Data.Linq.Mapping.ParameterAttribute(DbType="VarChar(100)")] string user_password, [global::System.Data.Linq.Mapping.ParameterAttribute(DbType="DateTime")] System.Nullable<System.DateTime> status_DT, [global::System.Data.Linq.Mapping.ParameterAttribute(DbType="VarChar(30)")] string consignment_no, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="StatusCode", DbType="VarChar(12)")] string statusCode, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="Remarks", DbType="NVarChar(200)")] string remarks, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="PasswordIs", DbType="TinyInt")] System.Nullable<byte> passwordIs, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="RawMessage", DbType="VarChar(8000)")] string rawMessage)
	{
		IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())), enterpriseid, phoneNo, iMEI, userid, user_password, status_DT, consignment_no, statusCode, remarks, passwordIs, rawMessage);
		return ((ISingleResult<MobileApp_GeneralStatusResult>)(result.ReturnValue));
	}
	
	[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.MobileApp_ValidateStatus")]
	public ISingleResult<MobileApp_ValidateStatusResult> MobileApp_ValidateStatus([global::System.Data.Linq.Mapping.ParameterAttribute(DbType="VarChar(40)")] string enterpriseid, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="PhoneNo", DbType="VarChar(20)")] string phoneNo, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="IMEI", DbType="VarChar(100)")] string iMEI, [global::System.Data.Linq.Mapping.ParameterAttribute(DbType="VarChar(40)")] string userid, [global::System.Data.Linq.Mapping.ParameterAttribute(DbType="VarChar(100)")] string user_password, [global::System.Data.Linq.Mapping.ParameterAttribute(DbType="DateTime")] System.Nullable<System.DateTime> status_DT, [global::System.Data.Linq.Mapping.ParameterAttribute(DbType="VarChar(8000)")] string consignment_no, [global::System.Data.Linq.Mapping.ParameterAttribute(DbType="NVarChar(100)")] string consignee, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="PasswordIs", DbType="TinyInt")] System.Nullable<byte> passwordIs, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="RawMessage", DbType="VarChar(8000)")] string rawMessage)
	{
		IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())), enterpriseid, phoneNo, iMEI, userid, user_password, status_DT, consignment_no, consignee, passwordIs, rawMessage);
		return ((ISingleResult<MobileApp_ValidateStatusResult>)(result.ReturnValue));
	}
	
	[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.MobileApp_ValidateStatus_Image")]
	public ISingleResult<MobileApp_ValidateStatus_ImageResult> MobileApp_ValidateStatus_Image([global::System.Data.Linq.Mapping.ParameterAttribute(DbType="VarChar(40)")] string enterpriseid, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="PhoneNo", DbType="VarChar(20)")] string phoneNo, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="IMEI", DbType="VarChar(100)")] string iMEI, [global::System.Data.Linq.Mapping.ParameterAttribute(DbType="VarChar(40)")] string userid, [global::System.Data.Linq.Mapping.ParameterAttribute(DbType="VarChar(100)")] string user_password, [global::System.Data.Linq.Mapping.ParameterAttribute(DbType="DateTime")] System.Nullable<System.DateTime> status_DT, [global::System.Data.Linq.Mapping.ParameterAttribute(DbType="VarChar(8000)")] string consignment_no, [global::System.Data.Linq.Mapping.ParameterAttribute(DbType="NVarChar(100)")] string consignee, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="PasswordIs", DbType="TinyInt")] System.Nullable<byte> passwordIs, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="RawMessage", DbType="VarChar(8000)")] string rawMessage, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="Image", DbType="NVarChar(MAX)")] string image)
	{
		IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())), enterpriseid, phoneNo, iMEI, userid, user_password, status_DT, consignment_no, consignee, passwordIs, rawMessage, image);
		return ((ISingleResult<MobileApp_ValidateStatus_ImageResult>)(result.ReturnValue));
	}
	
	[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.MobileApp_ScanShippingList")]
	public ISingleResult<MobileApp_ScanShippingListResult1> MobileApp_ScanShippingList([global::System.Data.Linq.Mapping.ParameterAttribute(DbType="VarChar(40)")] string enterpriseid, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="PhoneNo", DbType="VarChar(20)")] string phoneNo, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="IMEI", DbType="VarChar(100)")] string iMEI, [global::System.Data.Linq.Mapping.ParameterAttribute(DbType="VarChar(40)")] string userid, [global::System.Data.Linq.Mapping.ParameterAttribute(DbType="VarChar(100)")] string user_password, [global::System.Data.Linq.Mapping.ParameterAttribute(DbType="DateTime")] System.Nullable<System.DateTime> status_DT, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="ShippingList_no", DbType="VarChar(50)")] string shippingList_no, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="PasswordIs", DbType="TinyInt")] System.Nullable<byte> passwordIs, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="RawMessage", DbType="VarChar(8000)")] string rawMessage)
	{
		IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())), enterpriseid, phoneNo, iMEI, userid, user_password, status_DT, shippingList_no, passwordIs, rawMessage);
		return ((ISingleResult<MobileApp_ScanShippingListResult1>)(result.ReturnValue));
	}
}

[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.v_MobileApp_StatusCodes")]
public partial class v_MobileApp_StatusCode
{
	
	private string _enterpriseid;
	
	private string _status_code;
	
	public v_MobileApp_StatusCode()
	{
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_enterpriseid", DbType="VarChar(40) NOT NULL", CanBeNull=false)]
	public string enterpriseid
	{
		get
		{
			return this._enterpriseid;
		}
		set
		{
			if ((this._enterpriseid != value))
			{
				this._enterpriseid = value;
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_status_code", DbType="VarChar(12) NOT NULL", CanBeNull=false)]
	public string status_code
	{
		get
		{
			return this._status_code;
		}
		set
		{
			if ((this._status_code != value))
			{
				this._status_code = value;
			}
		}
	}
}

public partial class MobileApp_ValidateLoginResult
{
	
	private int _ErrorCode;
	
	private string _ErrorMessage;
	
	public MobileApp_ValidateLoginResult()
	{
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ErrorCode", DbType="Int NOT NULL")]
	public int ErrorCode
	{
		get
		{
			return this._ErrorCode;
		}
		set
		{
			if ((this._ErrorCode != value))
			{
				this._ErrorCode = value;
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ErrorMessage", DbType="VarChar(18)")]
	public string ErrorMessage
	{
		get
		{
			return this._ErrorMessage;
		}
		set
		{
			if ((this._ErrorMessage != value))
			{
				this._ErrorMessage = value;
			}
		}
	}
}

public partial class MobileApp_GeneralStatusResult
{
	
	private int _ErrorCode;
	
	private string _ErrorMessage;
	
	public MobileApp_GeneralStatusResult()
	{
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ErrorCode", DbType="Int NOT NULL")]
	public int ErrorCode
	{
		get
		{
			return this._ErrorCode;
		}
		set
		{
			if ((this._ErrorCode != value))
			{
				this._ErrorCode = value;
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ErrorMessage", DbType="VarChar(26)")]
	public string ErrorMessage
	{
		get
		{
			return this._ErrorMessage;
		}
		set
		{
			if ((this._ErrorMessage != value))
			{
				this._ErrorMessage = value;
			}
		}
	}
}

public partial class MobileApp_ValidateStatusResult
{
	
	private int _ErrorCode;
	
	private string _ErrorMessage;
	
	public MobileApp_ValidateStatusResult()
	{
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ErrorCode", DbType="Int NOT NULL")]
	public int ErrorCode
	{
		get
		{
			return this._ErrorCode;
		}
		set
		{
			if ((this._ErrorCode != value))
			{
				this._ErrorCode = value;
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ErrorMessage", DbType="VarChar(34)")]
	public string ErrorMessage
	{
		get
		{
			return this._ErrorMessage;
		}
		set
		{
			if ((this._ErrorMessage != value))
			{
				this._ErrorMessage = value;
			}
		}
	}
}

public partial class MobileApp_ValidateStatus_ImageResult
{
	
	private int _ErrorCode;
	
	private string _ErrorMessage;
	
	public MobileApp_ValidateStatus_ImageResult()
	{
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ErrorCode", DbType="Int NOT NULL")]
	public int ErrorCode
	{
		get
		{
			return this._ErrorCode;
		}
		set
		{
			if ((this._ErrorCode != value))
			{
				this._ErrorCode = value;
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ErrorMessage", DbType="VarChar(34)")]
	public string ErrorMessage
	{
		get
		{
			return this._ErrorMessage;
		}
		set
		{
			if ((this._ErrorMessage != value))
			{
				this._ErrorMessage = value;
			}
		}
	}
}

public partial class MobileApp_ScanShippingListResult1
{
	
	private string _enterprise_name;
	
	private string _enterprise_address;
	
	private string _enterprise_telephone;
	
	private string _custid;
	
	private string _customer_address;
	
	private string _customer_zipcode;
	
	private string _customer_telephone;
	
	private string _sender_name;
	
	private string _sender_address;
	
	private string _sender_zipcode;
	
	private string _sender_telephone;
	
	private string _consignment_no;
	
	private System.Nullable<int> _total_packages;
	
	private System.Nullable<decimal> _total_wt;
	
	private string _ref_no;
	
	private string _service_code;
	
	private string _recipient_telephone;
	
	private string _recipient_name;
	
	private string _recipient_address;
	
	private string _recipient_zipcode;
	
	private string _state_name;
	
	private string _ShippingList_No;
	
	private string _cust_name;
	
	private string _GoodsDescription;
	
	private string _cost_centre;
	
	public MobileApp_ScanShippingListResult1()
	{
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_enterprise_name", DbType="NVarChar(100)")]
	public string enterprise_name
	{
		get
		{
			return this._enterprise_name;
		}
		set
		{
			if ((this._enterprise_name != value))
			{
				this._enterprise_name = value;
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_enterprise_address", DbType="NVarChar(253)")]
	public string enterprise_address
	{
		get
		{
			return this._enterprise_address;
		}
		set
		{
			if ((this._enterprise_address != value))
			{
				this._enterprise_address = value;
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_enterprise_telephone", DbType="VarChar(20) NOT NULL", CanBeNull=false)]
	public string enterprise_telephone
	{
		get
		{
			return this._enterprise_telephone;
		}
		set
		{
			if ((this._enterprise_telephone != value))
			{
				this._enterprise_telephone = value;
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_custid", DbType="VarChar(20) NOT NULL", CanBeNull=false)]
	public string custid
	{
		get
		{
			return this._custid;
		}
		set
		{
			if ((this._custid != value))
			{
				this._custid = value;
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_customer_address", DbType="NVarChar(201)")]
	public string customer_address
	{
		get
		{
			return this._customer_address;
		}
		set
		{
			if ((this._customer_address != value))
			{
				this._customer_address = value;
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_customer_zipcode", DbType="VarChar(10)")]
	public string customer_zipcode
	{
		get
		{
			return this._customer_zipcode;
		}
		set
		{
			if ((this._customer_zipcode != value))
			{
				this._customer_zipcode = value;
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_customer_telephone", DbType="VarChar(20)")]
	public string customer_telephone
	{
		get
		{
			return this._customer_telephone;
		}
		set
		{
			if ((this._customer_telephone != value))
			{
				this._customer_telephone = value;
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_sender_name", DbType="NVarChar(100) NOT NULL", CanBeNull=false)]
	public string sender_name
	{
		get
		{
			return this._sender_name;
		}
		set
		{
			if ((this._sender_name != value))
			{
				this._sender_name = value;
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_sender_address", DbType="NVarChar(201)")]
	public string sender_address
	{
		get
		{
			return this._sender_address;
		}
		set
		{
			if ((this._sender_address != value))
			{
				this._sender_address = value;
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_sender_zipcode", DbType="VarChar(10)")]
	public string sender_zipcode
	{
		get
		{
			return this._sender_zipcode;
		}
		set
		{
			if ((this._sender_zipcode != value))
			{
				this._sender_zipcode = value;
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_sender_telephone", DbType="VarChar(20)")]
	public string sender_telephone
	{
		get
		{
			return this._sender_telephone;
		}
		set
		{
			if ((this._sender_telephone != value))
			{
				this._sender_telephone = value;
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_consignment_no", DbType="VarChar(30) NOT NULL", CanBeNull=false)]
	public string consignment_no
	{
		get
		{
			return this._consignment_no;
		}
		set
		{
			if ((this._consignment_no != value))
			{
				this._consignment_no = value;
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_total_packages", DbType="Int")]
	public System.Nullable<int> total_packages
	{
		get
		{
			return this._total_packages;
		}
		set
		{
			if ((this._total_packages != value))
			{
				this._total_packages = value;
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_total_wt", DbType="Decimal(38,2)")]
	public System.Nullable<decimal> total_wt
	{
		get
		{
			return this._total_wt;
		}
		set
		{
			if ((this._total_wt != value))
			{
				this._total_wt = value;
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ref_no", DbType="NVarChar(50)")]
	public string ref_no
	{
		get
		{
			return this._ref_no;
		}
		set
		{
			if ((this._ref_no != value))
			{
				this._ref_no = value;
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_service_code", DbType="VarChar(12) NOT NULL", CanBeNull=false)]
	public string service_code
	{
		get
		{
			return this._service_code;
		}
		set
		{
			if ((this._service_code != value))
			{
				this._service_code = value;
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_recipient_telephone", DbType="VarChar(20) NOT NULL", CanBeNull=false)]
	public string recipient_telephone
	{
		get
		{
			return this._recipient_telephone;
		}
		set
		{
			if ((this._recipient_telephone != value))
			{
				this._recipient_telephone = value;
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_recipient_name", DbType="NVarChar(100) NOT NULL", CanBeNull=false)]
	public string recipient_name
	{
		get
		{
			return this._recipient_name;
		}
		set
		{
			if ((this._recipient_name != value))
			{
				this._recipient_name = value;
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_recipient_address", DbType="NVarChar(201) NOT NULL", CanBeNull=false)]
	public string recipient_address
	{
		get
		{
			return this._recipient_address;
		}
		set
		{
			if ((this._recipient_address != value))
			{
				this._recipient_address = value;
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_recipient_zipcode", DbType="VarChar(10) NOT NULL", CanBeNull=false)]
	public string recipient_zipcode
	{
		get
		{
			return this._recipient_zipcode;
		}
		set
		{
			if ((this._recipient_zipcode != value))
			{
				this._recipient_zipcode = value;
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_state_name", DbType="NVarChar(100)")]
	public string state_name
	{
		get
		{
			return this._state_name;
		}
		set
		{
			if ((this._state_name != value))
			{
				this._state_name = value;
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ShippingList_No", DbType="VarChar(50)")]
	public string ShippingList_No
	{
		get
		{
			return this._ShippingList_No;
		}
		set
		{
			if ((this._ShippingList_No != value))
			{
				this._ShippingList_No = value;
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cust_name", DbType="NVarChar(100)")]
	public string cust_name
	{
		get
		{
			return this._cust_name;
		}
		set
		{
			if ((this._cust_name != value))
			{
				this._cust_name = value;
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_GoodsDescription", DbType="NVarChar(50)")]
	public string GoodsDescription
	{
		get
		{
			return this._GoodsDescription;
		}
		set
		{
			if ((this._GoodsDescription != value))
			{
				this._GoodsDescription = value;
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cost_centre", DbType="NVarChar(50) NOT NULL", CanBeNull=false)]
	public string cost_centre
	{
		get
		{
			return this._cost_centre;
		}
		set
		{
			if ((this._cost_centre != value))
			{
				this._cost_centre = value;
			}
		}
	}
}
#pragma warning restore 1591
